Estimate gas price
GET
Estimates and returns the unit price of gas required to execute a transaction.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Responses
deprioritized_gas_estimateinteger
Gas unit price estimate for lower prioritygas_estimateintegerrequired
Current gas unit price estimateprioritized_gas_estimateinteger
Gas unit price estimate for higher prioritycodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X GET 'https://aptos-mainnet.nodit.io/v1/estimate_gas_price' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'